Override tenant vertical
PUT
/api/v1/specialization/tenants/{tenant_id}/vertical
const url = 'https://api.ultimateteam.ai/api/v1/specialization/tenants/example/vertical';const options = { method: 'PUT', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"vertical_slug":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.ultimateteam.ai/api/v1/specialization/tenants/example/vertical \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "vertical_slug": "example" }'Manually set a tenant’s vertical classification.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”tenant_id
required
Tenant Id
Tenant UUID
string
Tenant UUID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
VerticalOverrideRequest
Request to manually set a tenant’s vertical classification.
object
vertical_slug
required
Vertical Slug
string
Examplegenerated
{ "vertical_slug": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
TenantVerticalUpdateResponse
Response body for PUT /tenants/{tenant_id}/vertical.
object
source
Source
string
vertical_slug
required
Vertical Slug
string
Example
{ "source": "override"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}